APT-GET(8)

NAME
apt-get - APT-Werkzeug für den Umgang mit Paketen -- Befehlszeilenschnittstelle

ÜBERSICHT

apt-get [-sqdyfmubV] [-o=Konfigurationszeichenkette] [-c=Konfigurationsdatei] [-t=Ziel-Release] [-a=Architektur] {update | upgrade | dselect-upgrade | dist-upgrade | install Paket [{=Paketversionsnummer | /Ziel-Release}]... | remove Paket... | purge Paket... | source Paket [{=Paketversionsnummer | /Ziel-Release}]... | build-dep Paket [{=Paketversionsnummer | /Ziel-Release}]... | download Paket [{=Paketversionsnummer | /Ziel-Release}]... | check | clean | autoclean | autoremove | {-v | --version} | {-h | --help}}

BESCHREIBUNG

apt-get ist ein Befehlszeilenwerkzeug zur Handhabung von Paketen und könnte als »Backend« anderer Werkzeuge betrachtet werden, die die APT-Bibliothek benutzen. Es existieren mehrere »Oberflächenschnittstellen«, wie aptitude(8), synaptic(8) und wajig(1).

Sofern nicht die -h-, oder --help-Option angegeben ist, muss einer der nachfolgend aufgeführten Befehle vorkommen.

update
    update wird benutzt, um die Paketindexdatei wieder mit ihren Quellen zu synchronisieren. Die Indexe verfügbarer Pakete werden von den in /etc/apt/sources.list angegebenen Orten geladen. Wenn Sie zum Beispiel ein Debian-Archiv benutzen, ruft dieser Befehl die Packages.gz-Dateien ab und wertet sie aus, so dass Informationen über neue und aktualisierte Pakete verfügbar sind. Ein update sollte immer vor einem upgrade oder dist-upgrade ausgeführt werden. Bitte seien Sie sich bewusst, dass die Gesamtfortschrittsanzeige nicht richtig sein wird, da die Größe der Pakete nicht im voraus bekannt ist.

upgrade
    upgrade wird benutzt, um die neusten Versionen aller aktuell auf dem System installierten Pakete aus den in /etc/apt/sources.list aufgezählten Quellen zu installieren. Aktuell installierte Pakete mit verfügbaren neuen Versionen werden abgerufen und das Upgrade durchgeführt. Unter keinen Umständen werden derzeit installierte Pakete entfernt oder nicht installierte Pakete heruntergeladen und installiert. Neue Versionen von aktuell installierten Paketen von denen kein Upgrade durchgeführt werden kann, ohne den Installationsstatus eines anderen Paketes zu ändern, werden in ihrer aktuellen Version bleiben. Zuerst muss ein update durchgeführt werden, so dass apt-get die neuen Versionen der verfügbaren Pakete kennt.

    When a package is supplied as an argument, the package will be installed prior to the upgrade action.

dist-upgrade
    dist-upgrade enthält zusätzlich zu der Funktion von upgrade einen intelligenten Mechanismus zur Auflösung von geänderten Paketabhängigkeiten in den neuen Paketversionen. apt-get hat ein »intelligentes« Konfliktauflösungssystem und es wird versuchen, Upgrades der wichtigsten Pakete, wenn nötig zu Lasten der weniger wichtigen, durchzuführen. Aufgrunddessen könnte der dist-upgrade-Befehl einige Pakete entfernen. Die /etc/apt/sources.list-Datei enthält eine Liste von Orten, von denen gewünschte Paketdateien abgerufen werden. Siehe auch apt_preferences(5) für einen Mechanismus zum Außerkraftsetzen der allgemeinen Einstellungen für einzelne Pakete.

    When a package is supplied as an argument, the package will be installed prior to the upgrade action.

dselect-upgrade
    dselect-upgrade wird zusammen mit der traditionellen Debian-Oberfläche dselect(1) benutzt. dselect-upgrade folgt den durch dselect(1) am Status-Feld verfügbarer Pakete gemachten Änderungen und führt die notwendigen Aktionen durch, um diesen Status zu realisieren (zum Beispiel das Entfernen von alten und Installieren von neuen Paketen).

install
    Auf install folgen ein oder mehrere Pakete, für die eine Installation oder ein Upgrade gewünscht wird. Jedes Paket ist ein Paketname, kein vollständig zusammengesetzter Dateiname (zum Beispiel wäre in einem Debian-System apt-utils das anzugebende Argument, nicht apt-utils_2.9.14_amd64.deb). Alle Pakete, die von den zur Installation angegebenen Paketen benötigt werden, werden zusätzlich heruntergeladen und installiert. Die Datei /etc/apt/sources.list wird benutzt, um die gewünschten Pakete zu finden. Wenn ein Bindestrich an den Paketnamen (ohne Leerzeichen dazwischen) angehängt ist, wird das erkannte Pakete entfernt, falls es installiert ist. Ähnlich kann ein Pluszeichen benutzt werden, um ein Paket zum Installieren vorzumerken. Diese letzteren Funktionen können benutzt werden, um Entscheidungen außer Kraft zu setzen, die vom Konfliktauflösungssystem von apt-get getroffen wurden.

    Eine bestimmte Version eines Paketes kann durch den Paketnamen gefolgt von einem Gleichheitszeichen und der Version des Paketes zur Installation ausgewählt werden. Dies bewirkt, dass diese Version gesucht und zum Installieren ausgewählt wird. Alternativ kann eine bestimmte Distribution durch den Paketnamen gefolgt von einem Schrägstrich und der Version der Distribution oder des Archivnamens (»stable«, »testing«, »unstable«) ausgewählt werden.

    Beide Mechanismen der Versionsauswahl können ein Downgrade von Paketen auslösen und müssen mit Vorsicht gehandhabt werden.

    Dies ist außerdem das zu verwendende Ziel, wenn Sie ein Upgrade eines oder mehrerer bereits installierter Pakete durchführen möchten, ohne ein Upgrade aller Pakete auf dem System durchzuführen. Anders als das Ziel »upgrade«, das die neusten Versionen aller aktuell installierten Pakete installiert, wird »install« nur die neusten Versionen der angegebenen Pakete installieren. Geben Sie einfach den Namen des Paketes an, von dem Sie ein Upgrade durchführen möchten und wenn eine neuere Version verfügbar ist, wird sie (mitsamt ihren Abhängigkeiten, wie oben beschrieben) heruntergeladen und installiert.

    Und zu guter Letzt erlaubt es Ihnen der apt_preferences(5)-Mechanismus, eine alternative Installationsrichtlinie für eigene Pakete zu erzeugen.

    Wenn keine Pakete dem angegebenen Ausdruck entsprechen und der Ausdruck entweder ».«, »?« oder »*« enthält, wird vermutet, dass es sich um einen regulären POSIX-Ausdruck handelt und dieser wird auf alle Paketnamen in der Datenbank angewendet. Jeder Treffer wird dann installiert (oder entfernt). Beachten Sie, dass nach übereinstimmenden Zeichenkettenteilen gesucht wird, so dass »lo.*« auf »how-lo« und »lowest« passt. Wenn dies nicht gewünscht wird, hängen Sie an den regulären Ausdruck mit »^« oder »$« an, um einen genaueren regulären Ausdruck zu erstellen.

    In APT 2.0 ist ein Rückgriff auf reguläre Ausdrücke missbilligt und wurde in apt(8) entfernt, außer für verankerte Ausdrücke. Es wird auch in einer zukünftigen Version von apt-get(8) entfernt. Nutzen Sie stattdessen apt-patterns(7).

reinstall
    reinstall ist ein Alias für install --reinstall.

remove
    remove ist identisch mit install, mit dem Unterschied, dass Pakete entfernt anstatt installiert werden. Beachten Sie, dass das Entfernen von Paketen deren Konfigurationsdateien im System belässt. Wenn ein Pluszeichen an den Paketnamen angehängt wird (ohne Leerzeichen dazwischen), wird das erkannte Paket installiert anstatt entfernt.

purge
    purge entspricht remove mit dem Unterschied, dass Pakete entfernt und vollständig gelöscht werden (sämtliche Konfigurationsdateien werden ebenfalls gelöscht).

source
    source veranlasst apt-get dazu, Paketquellen zu holen. APT wird die verfügbaren Pakete überprüfen, um zu entscheiden, welche Paketquellen geholt werden. Es wird dann die neueste Version der Paketquelle finden und in das aktuelle Verzeichnis herunterladen. Dabei berücksichtigt es – falls möglich – die Voreinstellung für die Version der Distribution, die über die Option APT::Default-Release, die Option -t oder pro Paket mit der Paket/Distribution-Syntax gesetzt wurde.

    Die Argumente werden als Binär- und Quellpaketnamen interpretiert. Falls Sie dies ändern möchten, sehen Sie sich die Option --only-source an.

    Paketquellen werden vom Binärpaket getrennt über deb-src-Zeilen in der sources.list(5)-Datei festgelegt. Das bedeutet, dass Sie für jedes Depot, aus dem Sie Quellen erhalten wollen, eine solche Zeile hinzufügen müssen; andernfalls werden Sie eventuell entweder die falschen Versionen (zu alte/zu neue) oder überhaupt keine Quellpakete erhalten.

    Falls die Option --compile angegeben ist, wird das Paket unter Benutzung von dpkg-buildpackage für die Architektur, die durch --host-architecture definiert ist, zu einem binären .deb kompiliert. Falls --download-only angegeben ist, wird das Quellpaket nicht entpackt.

    Eine bestimmte Quellversion kann durch Anhängen eines Gleichheitszeichens an den Paketnamen gefolgt von der Versionsnummer heruntergeladen werden, ähnlich dem Mechanismus, der für die Binärpakete benutzt wird. Dies ermöglicht exakte Übereinstimmung von Quellpaketname und -version und impliziert das Aktivieren der APT::Get::Only-Source-Option.

    Beachten Sie, dass Quellpakete nicht wie normale Binärpakete in der Datenbank von dpkg installiert und nachverfolgt werden; sie werden nur wie Quell-Tarball-Archive in das aktuelle Verzeichnis heruntergeladen.

build-dep
    build-dep veranlasst apt-get, Pakete zu installieren/entfernen, um zu versuchen, die Bauabhängigkeiten eines Quellpakets zu erfüllen. Standardmäßig werden die Abhängigkeiten erfüllt, um das Paket auf native Art zu bauen. Falls gewünscht, kann stattdessen eine Rechnerarchitektur mit der Option --host-architecture angegeben werden.

    Die Argumente werden als Binär- oder Quellpaketnamen interpretiert. Falls Sie dies ändern möchten, sehen Sie sich die Option --only-source an.

satisfy
    satisfy veranlasst apt-get, die angegebenen Abhängigkeitszeichenketten zu erfüllen. Die Abhängigkeitszeichenketten könnten Bauprofile und Architekturbeschränkungslisten in ihren Bauabhängigkeiten haben. Ihnen kann wahlweise "Conflicts: " vorangestellt sein, um die Abhängigkeitszeichenkette nicht zu erfüllen. Es dürfen mehrere Zeichenketten desselben Typs angegeben werden.

    Beispiel: apt-get satisfy "foo" "Conflicts: bar" "baz (>> 1.0) | bar (= 2.0), moo"

    Der veraltete Operator »</>« wird nicht unterstützt, benutzen Sie stattdessen »<=/>=«.

check
    check ist ein Diagnosewerkzeug. Es aktualisiert den Paketzwischenspeicher und prüft, ob beschädigte Abhängigkeiten vorliegen.

download
    download will download the given binary package into the current directory. The authenticity of the package data is ensured as usual.

clean
    clean bereinigt das lokale Depot von heruntergeladenen Paketdateien. Es entfernt alles außer der Sperrdatei aus /var/cache/apt/archives/ und /var/cache/apt/archives/partial/.

autoclean (und der auto-clean Alias seit 1.1)
    Wie clean bereinigt autoclean das lokale Depot von heruntergeladenen Paketdateien. Der Unterschied besteht darin, dass es nur Pakete entfernt, die nicht mehr heruntergeladen werden können und größtenteils nutzlos sind. Dies erlaubt es, einen Zwischenspeicher über eine lange Zeitspanne zu betreiben, ohne dass er unkontrolliert anwächst. Die Konfigurationsoption APT::Clean-Installed wird installierte Pakete vor der Löschung bewahren, wenn sie auf »off« gesetzt ist.

distclean (und der dist-clean alias)
    distclean removes all files under /var/lib/apt/lists except Release, Release.gpg, and InRelease. It can be used for example, when finalizing images distributed to users. The release files are kept for security reasons, to prevent various types of attacks.

autoremove (und der auto-remove Alias seit 1.1)
    autoremove wird benutzt, um Pakete zu entfernen, die automatisch installiert wurden, um Abhängigkeiten für andere Pakete zu erfüllen, und die nicht mehr benötigt werden.

autopurge
    Like autoremove, but autopurge also removes configuration files. This is a shortcut for autoremove --purge.

changelog
    changelog versucht, das Changelog eines Pakets herunterzuladen und mit sensible-pager anzuzeigen. Standardmäßig zeigt es das Changelog für die installierte Version. Sie können jedoch die gleichen Optionen wie für den Befehl install angeben.

indextargets
    zeigt standardmäßig ein Liste im Deb822-Format mit Informationen über alle Datendateien (auch als Indexziele bekannt) an, die apt-get update herunterladen würde. Es unterstützt eine --format-Option, um das Ausgabeformat zu ändern und auch um Zeilen der Standardausgabe zum Filtern der Datensätze zu akzeptieren. Der Befehl wird hauptsächlich als Schnittstelle für externe Werkzeuge benutzt, die mit APT arbeiten, um Informationen sowie Dateinamen für heruntergeladenen Dateien zu holen, um sie auch anstelle selbst heruntergeladener zu verwenden. Umfangreiche Dokumentation ist hier nicht enthalten, sondern stattdessen in der Datei /usr/share/doc/apt/acquire-additional-files.md.gz im Paket apt-doc zu finden.

OPTIONEN

Alle Befehlszeilenoptionen können durch die Konfigurationsdatei gesetzt werden, die Beschreibung gibt die zu setzende Option an. Für boolesche Optionen können Sie die Konfigurationsdatei außer Kraft setzen, indem Sie etwas der Art -f-, --no-f, -f=no oder etliche weitere Varianten benutzen.

--no-install-recommends
    betrachtet empfohlene Pakete nicht als Abhängigkeit für die Installation. Konfigurationselement: APT::Install-Recommends.

--install-suggests
    betrachtet vorgeschlagene Pakete als Abhängigkeit für die Installation. Konfigurationselement: APT::Install-Suggests.

-d, --download-only
    nur herunterladen; Paketdateien werden nur heruntergeladen, nicht entpackt oder installiert. Konfigurationselement: APT::Get::Download-Only.

-f, --fix-broken
    Fehler beheben; versucht ein System von vorhandenen, beschädigten Abhängigkeiten zu befreien. Diese Option kann, wenn sie mit »install«/»remove« benutzt wird, einige Pakete weglassen, um es APT zu erlauben, eine wahrscheinliche Lösung herzuleiten. Falls Pakete angegeben wurden, müssen diese das Problem vollständig korrigieren. Die Option ist manchmal nötig, wenn APT zum ersten Mal ausgeführt wird. APT selbst erlaubt es nicht, dass auf einem System beschädigte Paketabhängigkeiten existieren. Es ist möglich, dass eine Abhängigkeitsstruktur eines Systems so fehlerhaft ist, dass ein manuelles Eingreifen erforderlich ist (was normalerweise bedeutet, dass dpkg --remove benutzt wird, um einige der fehlerhaften Pakete zu beseitigen). Wenn Sie die Option zusammen mit -m benutzen, könnte das in einigen Situationen zu Fehlern führen. Konfigurationselement: APT::Get::Fix-Broken.

-m, --ignore-missing, --fix-missing
    ignoriert fehlende Pakete; Wenn Pakete nicht heruntergeladen werden können oder die Integritätsprüfung nach dem Herunterladen fehlschlägt (fehlerhafte Paketdateien), werden diese Pakete zurückgehalten und das Ergebnis verarbeitet. Die Benutzung dieser Option zusammen mit -f kann in einigen Situationen zu Fehlern führen. Wenn ein Paket zur Installation ausgewählt ist (besonders, wenn es auf der Befehlszeile angegeben wurde) und nicht heruntergeladen werden kann, wird es stillschweigend zurückgehalten. Konfigurationselement: APT::Get::Fix-Missing.

--no-download
    schaltet das Herunterladen von Paketen aus. Es ist am sinnvollsten, dies zusammen mit --ignore-missing zu verwenden, um APT zu zwingen, nur die .debs zu benutzten, die es bereits heruntergeladenen hat. Konfigurationselement: APT::Get::Download.

-q, --quiet
    still; erzeugt eine Ausgabe, die für Protokollierung geeignet ist und keine Fortschrittsanzeigen enthält. Mehr »q«s unterdrücken weitere Ausgaben, bis zu einem Maximum von 2. Sie können außerdem -q=# benutzen, um die Stillestufe zu setzen, was die Konfigurationsdatei außer Kraft setzt. Beachten Sie, dass Stillestufe 2 -y impliziert. Sie sollten niemals -qq ohne einen keine-Aktion-Schalter, wie -d, --print-uris oder -s benutzen, da APT Entscheidungen treffen könnte, die Sie nicht erwarteten. Konfigurationselement: quiet.

-s, --simulate, --just-print, --dry-run, --recon, --no-act
    keine Aktion; führt eine Simulation von Ereignissen durch, die basierend auf dem aktuellen Systemstatus auftreten würden, verändert das System jedoch nicht wirklich. Sperren wird deaktiviert (Debug::NoLocking), daher kann sich der Systemstatus ändern, während apt-get ausgeführt wird. Simulationen können auch von Nicht-Root-Benutzern ausgeführt werden, die möglicherweise keinen Lesezugriff auf alle APT-Konfigurationsdateien haben, was die Simulation verfälschen könnte. Außerdem wird standardmäßig Nicht-Root-Benutzern ein Hinweis mit einer entsprechenden Warnung angezeigt. (APT::Get::Show-User-Simulation-Note). Konfigurationselement: APT::Get::Simulate.

    Simulieren gibt eine Serie von Zeilen aus, von denen jede eine dpkg-Aktion darstellt: Konfigurieren (Conf), Entfernen (Remv) oder Entpacken (Inst). Eckige Klammern zeigen beschädigte Pakete an und ein leeres Paar eckiger Klammern steht für Beschädigungen, die keine Folgen haben (selten).

-y, --yes, --assume-yes
    automatisches »Ja« auf Anfragen; versucht auf alle Anfragen mit »Ja« zu antworten und ohne Benutzerinteraktion zu laufen. Wenn eine unerwünschte Situation eintritt, wie eine Änderung an einem gehaltenen Paket, die Installation eines nicht authentifizierten Pakets oder das Entfernen eines essenziellen Pakets, dann wird apt-get abgebrochen. Konfigurationselement: APT::Get::Assume-Yes.

--assume-no
    automatisches »Nein« auf alle Anfragen. Konfigurationselement: APT::Get::Assume-No.

--no-show-upgraded
    gibt keine Liste aller Pakete aus, für die ein Upgrade durchgeführt werden kann. Konfigurationselement: APT::Get::Show-Upgraded.

-V, --verbose-versions
    zeigt vollständige Versionen für Pakete, von denen ein Upgrade durchgeführt oder die installiert wurden. Konfigurationselement: APT::Get::Show-Versions.

--no-list-columns
    Display package lists without arranging them in columns. By default, package lists are printed in the style of the "ls" command. Configuration Item: APT::Get::List-Columns.

--comment
    Add the given value to the Comment: field in history.log Configuration Item: APT::History::Comment.

-a, --host-architecture
    Diese Option steuert, wie die Architektur der durch apt-get source --compile gebauten Pakete und wie Cross-Bauabhängigkeiten erfüllt werden. Standardmäßig ist sie nicht gesetzt, was bedeutet, dass die Rechnerarchitektur die gleiche wie die Bauarchitektur (die durch APT::Architecture) definiert wird) ist. Konfigurationselement: APT::Get::Host-Architecture.

-P, --build-profiles
    Diese Option steuert die aktivierten Bauprofile für die ein Quellpaket durch apt-get source --compile gebaut und wie Cross-Bauabhängigkeiten erfüllt werden. Standardmäßig ist kein Bauprofil aktiv. Weitere Bauprofile können gleichzeitig aktiviert werden, indem sie durch Kommas getrennt angehängt werden. Konfigurationselement: APT::Build-Profiles.

-b, --compile, --build
    kompiliert Quellpakete, nachdem sie heruntergeladen wurden. Konfigurationselement: APT::Get::Compile.

--ignore-hold
    ignoriert Zurückhalten des Paketes; dies veranlasst apt-get, ein für das Paket gesetztes »Halten« zu ignorieren. Dies kann zusammen mit dist-upgrade nützlich sein, um eine große Anzahl ungewünschter »Halten« außer Kraft zu setzen. Konfigurationselement: APT::Ignore-Hold.

--with-new-pkgs
    erlaubt das Installieren neuer Pakete, wenn es zusammen mit upgrade benutzt wird. Dies ist nützlich, falls das Aktualisieren eines installierten Pakets zur Installation neue Abhängigkeiten erfordert. Anstatt das Paket zurückzuhalten, wird upgrade ein Upgrade des Pakets durchführen und die neuen Abhängigkeiten installieren. Beachten Sie, dass upgrade mit dieser Option niemals Pakete entfernen, sondern nur das Hinzufügen neuer gestatten wird. Konfigurationselement: APT::Get::Upgrade-Allow-New.

--no-upgrade
    kein Upgrade von Paketen durchführen; wenn es zusammen mit install benutzt wird, wird no-upgrade auf der Befehlszeile ein Upgrade von Paketen verhindern, die bereits installiert sind. Konfigurationselement: APT::Get::Upgrade.

--only-upgrade
    keine neuen Pakete installieren; wenn es zusammen mit install benutzt wird, wird only-upgrade nur Upgrades bereits installierter Pakete durchführen und Anfragen zur Installation neuer Pakete ignorieren. Konfigurationselement: APT::Get::Only-Upgrade.

--allow-downgrades
    Dies ist eine gefährliche Option, die APT veranlasst, ohne Nachfrage fortzufahren, wenn es Downgrades durchführt. Sie sollte nicht benutzt werden, außer in ganz besonderen Situationen. Ihre Verwendung kann möglicherweise Ihr System zerstören. Konfigurationselement: APT::Get::allow-downgrades. Eingeführt mit APT 1.1.

--allow-remove-essential
    erzwingt »Ja«; dies ist eine gefährliche Option, die APT veranlasst, ohne Nachfrage fortzufahren, wenn wesentliche Teile des Systems entfernt werden sollen. Sie sollte nicht benutzt werden, außer in ganz besonderen Situationen. Ihre Verwendung kann möglicherweise Ihr System zerstören. Konfigurationselement: APT::Get::allow-remove-essential. Eingeführt mit APT 1.1.

--allow-change-held-packages
    erzwingt »Ja«; dies ist eine gefährliche Option, die APT veranlasst, ohne Nachfrage fortzufahren, wenn gehaltene Pakete geändert werden sollen. Sie sollte nicht benutzt werden, außer in ganz besonderen Situationen. Sie zu benutzen, kann möglicherweise Ihr System zerstören! Konfigurationselement: APT::Get::allow-change-held-packages. Eingeführt mit APT 1.1.

--force-yes
    erzwingt »Ja«; dies ist eine gefährliche Option, die APT veranlasst, ohne Nachfrage fortzufahren, wenn es etwas möglicherweise schädliches tut. Es sollte nicht benutzt werden, außer in ganz besonderen Situationen. force-yes zu benutzen, kann möglicherweise Ihr System zerstören! Konfigurationselement: APT::Get::force-yes. Dies ist veraltet und wurde in 1.1. durch --allow-unauthenticated, --allow-downgrades, --allow-remove-essential und --allow-change-held-packages ersetzt.

--print-uris
    Anstatt die Dateien herunterzuladen, werden ihre URIs ausgegeben. Jeder URI wird den Pfad, den Zieldateinamen, die Größe und den erwarteten MD5-Hash enthalten. Beachten Sie, dass der zu schreibende Dateiname nicht immer dem Dateinamen auf der entfernt gelegenen Site entspricht. Dies funktioniert auch mit den Befehlen source und update. Wenn es mit dem Befehl update benutzt wird, sind MD5 und Größe nicht enthalten und es ist Aufgabe des Benutzers, komprimierte Dateien zu dekomprimieren. Konfigurationselement: APT::Get::Print-URIs.

--purge
    »purge« anstelle von »remove« für alles zu entfernende benutzen. Ein Stern (»*«) wird bei Paketen angezeigt, die zum vollständigen Entfernen vorgemerkt sind. remove --purge entspricht dem Befehl purge. Konfigurationselement: APT::Get::Purge.

--reinstall
    installiert Pakete erneut, die bereits mit der neusten Version installiert sind. Konfigurationselement: APT::Get::ReInstall.

--list-cleanup
    Diese Option ist standardmäßig eingeschaltet. Um sie auszuschalten, benutzen Sie --no-list-cleanup. Wenn eingeschaltet, wird apt-get den Inhalt von /var/lib/apt/lists automatisch verwalten, um sicherzustellen, dass veraltete Dateien gelöscht werden. Nur das häufige Ändern der Quelllisten stellt den einzigen Grund zum Ausschalten der Option dar. Konfigurationselement: APT::Get::List-Cleanup.

-S, --snapshot
    This option controls the snapshot chosen for archives with Snapshot: enable in the source entry. For example, -S 20220102T030405Z selects a snapshot from January 2nd, 2022 at 03:04:05 UTC. Configuration Item: APT::Snapshot; see also the sources.list(5) manual page.

-t, --target-release, --default-release
    Diese Option steuert die standardmäßige Eingabe an die Einheit zur Durchsetzung der Richtlinien (»policy«), sie erstellt eine Vorgabe-Pin mit Priorität 990 unter Benutzung der angegebenen Release-Zeichenkette. Dies setzt die allgemeinen Einstellungen in /etc/apt/preferences außer Kraft. Pakete mit speziellem Pinning sind nicht vom Wert dieser Option betroffen. Kurz gesagt, gibt Ihnen diese Option einfache Kontrolle darüber, aus welcher Distribution Pakete heruntergeladen werden sollen. Einige typische Beispiele könnten -t '2.1*', -t unstable oder -t sid sein. Konfigurationselement: APT::Default-Release; lesen Sie auch die apt_preferences(5)-Handbuchseite.

--trivial-only
    führt nur Aktionen aus, die »trivial« sind. Von der Logik her ähnelt sie der --assume-yes. An Stellen, an denen --assume-yes »ja« auf Fragen antwortet, antwortet --trivial-only »Nein«. Konfigurationselement: APT::Get::Trivial-Only.

--mark-auto
    After successful installation, mark all freshly installed packages as automatically installed, which will cause each of the packages to be removed when no more manually installed packages depend on this package. This is equally to running apt-mark auto for all installed packages. Configuration Item: APT::Get::Mark-Auto.

--no-remove
    Wenn irgendwelche Pakete entfernt werden sollen, bricht apt-get sofort ohne Nachfrage ab. Konfigurationselement: APT::Get::Remove.

--auto-remove, --autoremove
    Wenn der Befehl entweder install oder remove lautet, dann bewirkt diese Option wie das Ausführen des autoremove-Befehls das Entfernen der nicht mehr benötigten abhängigen Pakete. Konfigurationselement: APT::Get::AutomaticRemove.

--only-source
    hat nur eine Bedeutung für die Befehle source und build-dep. Zeigt an, dass die angegebenen Quellnamen nicht durch die binäre Tabelle ermittelt werden. Dies bedeutet, dass dieser Befehl, wenn diese Option angegeben ist, nur Quellpaketnamen als Argumente akzeptiert, anstatt Binärpaketnamen zu akzeptieren und das entsprechende Quellpaket nachzuschlagen. Konfigurationselement: APT::Get::Only-Source.

--diff-only, --dsc-only, --tar-only
    lädt nur die diff-, dsc-, oder tar-Dateien eines Quellarchivs herunter. Konfigurationselemente: APT::Get::Diff-Only, APT::Get::Dsc-Only und APT::Get::Tar-Only.

--arch-only
    verarbeitet nur architekturabhängige Bauabhängigkeiten. Konfigurationselement: APT::Get::Arch-Only.

--indep-only
    verarbeitet nur architekturunabhängige Bauabhängigkeiten. Konfigurationselement: APT::Get::Indep-Only.

--allow-unauthenticated
    ignoriert, falls Pakete nicht authentifiziert werden können, und zeigt es nicht an. Dies kann bei der Arbeit mit lokalen Depots nützlich sein, ist jedoch ein großes Sicherheitsrisiko, falls die Echtheit der Daten nicht durch den Benutzer selbst auf eine andere Art sichergestellt ist. Die Benutzung der Option Trusted für sources.list(5)-Einträge sollte normalerweise diesem globalen Außer-Kraft-setzen vorgezogen werden. Konfigurationselement: APT::Get::AllowUnauthenticated.

--allow-insecure-repositories
    Allow the update command to acquire unverifiable data from configured sources. APT will otherwise fail at the update command for repositories without valid cryptographically signatures. See also apt-secure(8) for details on the concept and the implications. Configuration Item: Acquire::AllowInsecureRepositories.

--allow-releaseinfo-change
    erlaubt dem Aktualisierungsbefehl mit dem Herunterladen von Daten aus einem Depot fortzufahren, bei dem sich die Information geändert hat, welche Veröffentlichung im Depot enthalten ist, z.B. eine neue Hauptveröffentlichung. APT wird beim Aktualisierungsbefehl für derartige Depots bis zur Bestätigung scheitern, um sicherzustellen, dass der Benutzer auf die Änderung vorbereitet ist. Weitere Einzelheiten des Konzepts und der Konfiguration finden Sie unter apt-secure(8).

    Es existieren Spezialoptionen (--allow-releaseinfo-change-Feld), um Änderungen nur für bestimmte Felder wie origin, label, codename, suite, version und defaultpin zu erlauben. Siehe auch apt_preferences(5). Konfigurationselement: Acquire::AllowReleaseInfoChange.

--show-progress
    zeigt benutzerfreundliche Fortschrittsinformationen im Terminalfenster, wenn Pakete installiert beziehungsweise entfernt werden oder ein Upgrade durchgeführt wird. Informationen über eine maschinell auswertbare Version dieser Daten finden Sie in README.progress-reporting im Dokumentationsverzeichnis apt/doc. Konfigurationselemente: Dpkg::Progress und Dpkg::Progress-Fancy.

--with-source Dateiname
    fügt die angegebene Datei als Quelle für Metadaten hinzu. Dies kann mehrfach verwendet werden, um mehrere Dateien hinzuzufügen. Weitere Einzelheiten der --with-source-Beschreibung finden Sie unter apt-cache(8).

-eany, --error-on=any
    Fail the update command if any error occured, even a transient one.

-U, --update
    Run the update command before the specified command. This is supported for commands installing, removing, or upgrading packages such as install, remove, safe-upgrade, full-upgrade. This can be useful to ensure a command always installs the latest versions, or, in combination with the --snapshot option to make sure the snapshot is present when install is being run.

    Caveat: Due to technical limitations, locks are acquired individually for each phase, hence an install may fail to acquire locks after successfully executing the update. Until this is resolved, this is merely syntactic sugar for apt update && apt install

-h, --help
    eine kurze Aufrufzusammenfassung zeigen

-v, --version
    die Version des Programms anzeigen

--audit
    Show audit (and notice) messages. This overrides the quiet option, but only for notice messages, not progress ones.

-c, --config-file
    Konfigurationsdatei; hiermit wird die zu verwendende Konfigurationssdatei angegeben. Das Programm wird die Vorgabe-Konfigurationsdatei und dann diese Konfigurationsdatei lesen. Falls Konfigurationseinstellungen vor der Vorgabe-Konfiguration ausgewertet werden müssen, geben Sie eine Datei in der Umgebungsvariable APT_CONFIG an. Lesen Sie apt.conf(5), um Syntax-Informationen zu erhalten.

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

--no-color, --color
    Turn colors on or off. Colors are on by default on supported terminals for apt(8) and can also be disabled using the NO_COLOR or APT_NO_COLOR environment variables, or further configured by the APT::Color configuration option and scope, see apt.conf(5) for information on that.

DATEIEN

/etc/apt/sources.list
    Orte, von denen Pakete geladen werden. Konfigurationselement: Dir::Etc::SourceList.

/etc/apt/sources.list.d/
    Dateifragmente für Orte, von denen Pakete geladen werden. Konfigurationselement: Dir::Etc::SourceParts.

/etc/apt/apt.conf
    APT-Konfigurationsdatei. Konfigurationselement: Dir::Etc::Main.

/etc/apt/apt.conf.d/
    APT-Konfigurationsdatei-Fragmente. Konfigurationselement: Dir::Etc::Parts.

/etc/apt/preferences
    Version-Einstellungsdatei. Hier können Sie "pinning" festlegen, d.h. eine Einstellung, um bestimmte Pakete aus einer separaten Quelle oder von einer anderen Version einer Distribution zu erhalten. Konfigurationselement: Dir::Etc::Preferences.

/etc/apt/preferences.d/
    Dateifragmente für die Versionseinstellungen. Konfigurationselement: Dir::Etc::PreferencesParts.

/var/cache/apt/archives/
    Speicherbereich für abgerufene Paketdateien. Konfigurationselement: Dir::Cache::Archives.

/var/cache/apt/archives/partial/
    Speicherbereich für Paketdateien auf dem Transportweg. Konfigurationselement: Dir::Cache::Archives (partial wird implizit angehängt)

/var/lib/apt/lists/
    Speicherbereich für Statusinformationen jeder in sources.list(5) angegebenen Paketquelle Konfigurationselement: Dir::State::Lists.

/var/lib/apt/lists/partial/
    Speicherbereich für Statusinformationen auf dem Transportweg. Konfigurationselement: Dir::State::Lists (partial wird implizit angehängt)

SIEHE AUCH

apt-cache(8), apt-cdrom(8), dpkg(1), sources.list(5), apt.conf(5), apt-patterns(7), apt-config(8), apt-secure(8), die APT-Benutzeranleitung in /usr/share/doc/apt-doc/, apt_preferences(5), das APT-Howto.

DIAGNOSE

apt-get gibt bei normalen Aktionen 0 zurück, dezimal 100 bei Fehlern.

FEHLER

APT-Fehlerseite[1]. Wenn Sie einen Fehler in APT berichten möchten, lesen Sie bitte /usr/share/doc/debian/bug-reporting.txt oder den reportbug(1)-Befehl. Verfassen Sie Fehlerberichte bitte auf Englisch.

ÜBERSETZUNG

Die deutsche Übersetzung wurde 2009 von Chris Leick <c.leick@vollbio.de> in Zusammenarbeit mit dem deutschen l10n-Team von Debian <debian-l10n-german@lists.debian.org> angefertigt.

Beachten Sie, dass diese Übersetzung Teile enthalten kann, die nicht übersetzt wurden. Dies ist so, damit kein Inhalt verloren geht, wenn die Übersetzung hinter dem Originalinhalt hinterherhängt.

AUTOREN

Jason Gunthorpe

APT-Team

FUßNOTEN

1.  APT-Fehlerseite
    https://bugs.debian.org/src:apt